Commit 92615c41 authored by pcy's avatar pcy
Browse files

fix derps

parent 29e841f7
......@@ -26,9 +26,7 @@ update_package() {
local AFTER="$(exec_subcommand pkgcmd version "$PKG")"
if [ "$BEFORE" != "$AFTER" ]; then
exec_subcommand src-db reg "$PKG" "$AFTER" || return 2
return 1
exec_subcommand src-db reg "$PKG" "$AFTER" && return 1 || return 2
fi
return 0
......@@ -72,14 +70,14 @@ update_selection() {
else
ERRORS="$ERRORS, $PKG"
fi
elif [ "$ERTV" = "1" ]; then
elif [ "$RETV" = "1" ]; then
echo "$PKG" >> /tmp/upgrade_list
fi
done
if ! [ -z "$ERRORS" ]; then
(>&2 echo "Failed to update the following packages: $ERRORS\n" \
"Press any key to continue.")
(>&2 echo -e "Failed to update the following packages: $ERRORS\n" \
"Press any key to continue.")
local FOOBAR=""
read -r FOOBAR
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment